Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

# Class EMFCompareContentMergeViewerResourceBundle

java.lang.Object
java.util.ResourceBundle
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.EMFCompareContentMergeViewerResourceBundle

public class EMFCompareContentMergeViewerResourceBundle extends ResourceBundle
This resource bundle wraps the resource bundle of an EMF Compare content merge viewer to default to the resource bundle of the Eclipse Compare TextMergeViewer for any non-defined keys. The TextMergeViewer already defines the label, tooltip and image for the following actions:

- CopyLeftToRight
- CopyRightToLeft
- CopyDiffLeftToRight
- CopyDiffRightToLeft
- NextDiff
- PrevDiff
- NextChange
- PrevChange
- EnableAncestor
- IgnoreAncestor
- SwitchLeftAndRight (added in Oxygen)

Specifically, this class avoids the problem of re-defining the images which may change between versions, e.g., the change from gif to png done in Oxygen.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.ResourceBundle

`ResourceBundle.Control`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ResourceBundle`
`fallbackMergeViewerResources`
`protected ResourceBundle`
`mergeViewerResources`

### Fields inherited from class java.util.ResourceBundle

`parent`

## Constructor Summary

Constructors
Constructor
Description
`EMFCompareContentMergeViewerResourceBundle(ResourceBundle bundle)`

## Method Summary

Modifier and Type
Method
Description
`Enumeration<String>`
`getKeys()`
`protected Object`
`handleGetObject(String key)`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mergeViewerResources

protected ResourceBundle mergeViewerResources

### fallbackMergeViewerResources

protected ResourceBundle fallbackMergeViewerResources

## Constructor Details

### EMFCompareContentMergeViewerResourceBundle

public EMFCompareContentMergeViewerResourceBundle(ResourceBundle bundle)

## Method Details

### handleGetObject

protected Object handleGetObject(String key)

Specified by:
  `handleGetObject` in class `ResourceBundle`

### getKeys

public Enumeration<String> getKeys()

Specified by:
  `getKeys` in class `ResourceBundle`